/**
 * 2007-2016 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Metacreo <metacreo@gmail.com>
 *  @copyright 2016 metacreo
 *  @license   http://opensource.org/licenses/GPL-3.0  GNU GENERAL PUBLIC LICENSE (GPL-3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

$(document).ready(function(){

	if (!!$.prototype.fancybox)
		$('#make_offer_button').fancybox({
			'hideOnContentClick': false
		});

	$('#make_offer_form_content .closefb').click(function(e) {
		$.fancybox.close();
		e.preventDefault();
	});

	$('#sendOffer').click(function(){
		var name = $('#your_name').val();
		var email = $('#your_email').val();
		var country = $('#your_country').val();
		var offer = $('#your_offer').val();
		var message = $('#your_message').val();
		if (name && email && country && offer && !isNaN(id_product))
		{
			$.ajax({
				url: baseDir + 'modules/makeanoffer/makeanoffer_ajax.php?rand=' + new Date().getTime(),
				type: "POST",
				headers: {"cache-control": "no-cache"},
				data: {
					action: 'sendMyOffer', 
					secure_key: mao_secure_key,
					name: name, 
					email: email, 
					country: country, 
					offer: offer, 
					message: message, 
					id_product: id_product
				},
				dataType: "json",
				success: function(result) {
					$.fancybox.close();
					fancyMsgBox((result ? mao_msg_success : mao_msg_error), mao_msg_title);
				}
			});
		}
		else
			$('#make_offer_form_error').text(mao_msg_required);
	});
});
